lib = File.expand_path('./lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'sigterm_extensions/version'

Gem::Specification.new do |s|
  s.name          = 'sigterm_extensions'
  s.version       = SigtermExtensions::VERSION
  s.date          = '2019-10-16'
  s.summary       = 'Sigterm Extensions'
  s.description   = 'Later'
  s.authors       = ['Mikal Villa']
  s.email         = 'mikalv@sigterm.no'
  s.homepage      = 'https://rubygems.org/gems/sigterm_extensions'
  s.license       = 'MIT'

  s.bindir        = 'bin'
  s.require_paths = ['lib']
  s.required_ruby_version = '>= 2.4'
  s.required_rubygems_version = Gem::Requirement.new('>= 0') if s.respond_to?(:required_rubygems_version=)
  s.requirements = ['git 1.6.0.0, or greater']

  s.files         = `git ls-files -- bin/* lib/* templates/* CHANGELOG.md LICENSE.md README.md Gemfile sigterm_extensions.gemspec`.split($INPUT_RECORD_SEPARATOR)
  s.executables   = ['ctxirb'] #s.files.grep(%r{^bin/}) { |f| File.basename(f) }

  s.metadata['allowed_push_host'] = 'https://rubygems.org'

  s.extra_rdoc_files = ['README.md']
  s.rdoc_options = ['--charset=UTF-8']

  s.add_dependency 'irbtools', '~> 3.0.0'
  s.add_dependency 'irbtools-more', '~> 2.3.1'
  s.add_dependency 'highline', '~> 0.6.1' # For prompts in terminal
  s.add_dependency 'awesome_print', '~> 0.3.2'
  s.add_dependency 'table_print', '~> 1.5.6'
  s.add_dependency 'hirb', '~> 0.7.3'
  s.add_dependency 'pycall'
  s.add_dependency 'concurrent-ruby'
  s.add_development_dependency 'pry', '~> 0'
  s.add_development_dependency 'rake', '~> 13.0'
  s.add_development_dependency 'bundler', '~> 2.0'
end
